Bug 562980 - Noise running ldconfig: /usr/lib/libpython2.6.so.1.0-gdb.py is not an ELF file - it has the wrong magic bytes at the start.
Noise running ldconfig: /usr/lib/libpython2.6.so.1.0-gdb.py is not an ELF fil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 17:32 EST by Dave Malcolm
Modified: 2012-08-16 17:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-02-08 17:32:07 EST
Description of problem:
ldconfig emits warnings about the two -gdb.py files in /usr/lib

/usr/lib/libpython2.6.so.1.0-gdb.py is not an ELF file - it has the wrong magic bytes at the start.

These warnings appear to be harmless, if noisy.

Probably should put them with the debuginfo files, but there doesn't seem to be a good way to do this in an rpmbuild.

Version-Release number of selected component (if applicable):
python-2.6.4-15.fc13
python3-3.1.1-23.fc13

How reproducible:
100%

Steps to Reproduce:
1. install one of the above rpms
2. /sbin/ldconfig

Actual results:
Noise in log:
/usr/lib/libpython2.6.so.1.0-gdb.py is not an ELF file - it has the wrong magic bytes at the start.


Expected results:
No noise in log
Comment 1 Dave Malcolm 2010-02-09 12:50:06 EST
I fixed this in:
  python 2: python-2.6.4-16.fc13
  python 3: python3-3.1.1-24.fc13.
by managing to embed the -gdb.py files in the debuginfo subpackages (which is arguably where they should have been all along).
Comment 2 Dave Malcolm 2010-07-29 17:26:59 EDT
Reopening and reassigning to glibc:

The gdb python scripting in gdb 7 supports autoloading python scripts from PATH_TO_DSO-gdb.py when PATH_TO_DSO is linked into the inferior process.

However, installing such scripts into say /usr/lib/libfoo.so.1.0-gdb.py leads to this noise from ldconfig.

Is it sane to install these scripts into %{_libdir}; if so, please can ldconfig not complain?
Comment 3 Jakub Jelinek 2010-07-29 17:39:28 EDT
Please put them into
/usr/share/gdb/auto-load/usr/lib*/ instead
(see gcc-4.5.0-* packages in F14).
Comment 4 Bug Zapper 2010-07-30 06:50:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jan Kratochvil 2010-10-05 09:45:37 EDT
[i686 as the used pathnames are 32bit specific]

gdb-7.2-16.fc14.i686 searches all these:
  /usr/lib/debug/usr/lib/libpython2.7.so.1.0.debug-gdb.py
  /usr/lib/libpython2.7.so.1.0-gdb.py
  /usr/lib/debug/usr/lib/libpython2.7.so.1.0-gdb.py
  /usr/share/gdb/auto-load/usr/lib/libpython2.7.so.1.0-gdb.py

python-debuginfo-2.7-8.fc14.1.i686 uses the first case:
  /usr/lib/debug/usr/lib/libpython2.7.so.1.0.debug-gdb.py

You could use the last case as suggested by the Comment 3 if you want it in 
python-2.7-8.fc14.1.i686 instead of 
python-debuginfo-2.7-8.fc14.1.i686 .

I do not see a problem in GDB.
Comment 6 Fedora End Of Life 2012-08-16 17:52:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.